<?php

$_REQUEST['servicefunction'] = 'choose_course';

if($_REQUEST['course_id'])
{
	$weights_array = db_request(db_execute("SELECT COURSE_CREDIT_TITLE FROM COURSE_CREDITS WHERE COURSE_ID='$_REQUEST[course_id]'"));
	if(count($weights_array)==1)
		$_REQUEST['course_credits'] = $weights_array[1]['COURSE_CREDIT_TITLE'];
}

if(!$_REQUEST['course_section_id'])
	include $staticpath.'modules/mod_curriculum/ScdCourseProperties.php';
else
{
	$course_title = db_request(db_execute("SELECT TITLE FROM COURSE_SECTIONS WHERE COURSE_SECTION_ID='".$_REQUEST['course_section_id']."'"));
	$course_title = $course_title[1]['TITLE'] . '<INPUT type=hidden name=w_course_section_id value='.$_REQUEST['course_section_id'].'>';

	echo "<script language=javascript> opener.document.getElementById(\"section_div\").innerHTML = \"$course_title<BR><small><INPUT type=checkbox name=not_w_course_period value=Y>"._('Not Scheduled')."</small>\"; window.close();</script>";
}

?>